org.apache.naming.factory

## Class OpenEjbFactory

- java.lang.Object
- - org.apache.naming.factory.OpenEjbFactory

- All Implemented Interfaces:
    ObjectFactory

      public class OpenEjbFactory
      extends Object
      implements ObjectFactory

  Object factory for EJBs.
  Author:
    Jacek Laskowski, Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DEFAULT_OPENEJB_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenEjbFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Create a new EJB instance using OpenEJB.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_OPENEJB_FACTORY

          protected static final String DEFAULT_OPENEJB_FACTORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenEjbFactory

          public OpenEjbFactory()

  - ### Method Detail

    - #### getObjectInstance

          public Object getObjectInstance(Object obj,
                                 Name name,
                                 Context nameCtx,
                                 Hashtable<?,?> environment)
                                   throws Exception

      Create a new EJB instance using OpenEJB.
      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.